## linux-lpia-meta 2.6.27.4.7

=== debian/changelog ===
linux-lpia-meta (2.6.27.4.7) intrepid; urgency=low

  * Move linux-firmware from linux-lpia{,compat} to linux-image-lpia{,compat}.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 21 Oct 2008 14:31:40 +1100

linux-lpia-meta (2.6.27.4.6) intrepid; urgency=low

  [ Amit Kucheria ]
  * Bump ABI
  * Fix copyright, debhelper version and remove unncessary meta packages

  [ Steve Kowalik ]
  * Munge changelog and prepare for upload.
  * Have linux-lpia{,compat} Depends on linux-firmware. (LP: #284368) 

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 20 Oct 2008 15:56:37 +1100

linux-lpia-meta (2.6.27.3.5) intrepid; urgency=low

  * Let linux-lpia{,compat} depends on linux-restricted-modules-lpia{,compat}
    respecitevely (debian/control.common is the canonical place to set this).

 -- Loic Minier <lool@dooz.org>  Wed, 08 Oct 2008 16:30:51 +0200

linux-lpia-meta (2.6.27.3.4) intrepid; urgency=low

  * debian/rules assumes there are no dashes in the version number.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 26 Sep 2008 11:22:18 +1000

linux-lpia-meta (2.6.27-3.3) intrepid; urgency=low

  * Initial release.

 -- Amit Kucheria <amit.kucheria@canonical.com>  Thu, 25 Sep 2008 12:37:55 +0300
