=== debian/control ===
Source: linux-lpia-meta
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 4), gawk

Package: linux-lpia
Architecture: lpia
Section: restricted/metapackages
Priority: optional
#Depends: linux-image (= ${binary:Version})
Depends: linux-image-lpia (= ${binary:Version}), linux-restricted-modules-lpia (= ${binary:Version})
Description: Complete Linux kernel for LPIA
 This package will always depend on the latest complete Linux kernel
 available for LPIA.

Package: linux-lpiacompat
Architecture: lpia
Section: restricted/metapackages
Priority: optional
Depends: linux-image-lpiacompat (= ${binary:Version}), linux-restricted-modules-lpiacompat (= ${binary:Version})
Description: Complete Generic Linux kernel for LPIA (i386 compat)
 This package will always depend on the latest complete generic Linux kernel
 available for LPIA (i386 compat).

#Package: linux-image
#Architecture: lpia
#Section: metapackages
#Priority: optional
#Depends: linux-image-${generic-depends} (= ${binary:Version})
#Description: Linux kernel image.
# This package will always depend on the latest Linux kernel image
# available.

Package: linux-image-lpia
Architecture: lpia
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-lpia, linux-firmware
Description: Linux kernel image for LPIA
 This package will always depend on the latest kernel image
 available for LPIA.

Package: linux-image-lpiacompat
Architecture: lpia
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-lpiacompat, linux-firmware
Description: Generic Linux kernel image for LPIA (i386 compat)
 This package will always depend on the latest generic kernel image
 available for LPIA (i386 compat).

Package: linux-headers-lpia
Architecture: lpia
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-lpia
Description: Generic Linux kernel headers for LPIA.
 This package will always depend on the latest generic kernel headers
 available for LPIA.

Package: linux-headers-lpiacompat
Architecture: lpia
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-lpiacompat
Description: Generic Linux kernel headers for LPIA (i386 compat).
 This package will always depend on the latest generic kernel headers
 available for LPIA (i386 compat).

#Package: linux-restricted-modules
#Architecture: lpia
#Section: restricted/metapackages
#Priority: optional
#Depends: linux-restricted-modules-${generic-depends} (= ${binary:Version})
#Description: Generic Linux restricted modules.
# This package will always depend on the latest generic Linux restricted
# modules available.

Package: linux-restricted-modules-lpia
Architecture: lpia
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-lpia
Description: Restricted Linux modules for LPIA kernels
 This package will always depend on the latest restricted modules
 available for generic kernels.

Package: linux-restricted-modules-lpiacompat
Architecture: lpia
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-lpiacompat
Description: Restricted Linux modules for LPIA (i386 compat)
 This package will always depend on the latest restricted modules available
 for LPIA (i386 compat).

#Package: linux-backports-modules-intrepid
#Architecture: lpia
#Section: metapackages
#Priority: optional
#Depends: linux-backports-modules-intrepid-${generic-depends} (= ${binary:Version})
#Description: Generic Linux backported drivers.
# This package will always depend on the latest generic Linux backported
# drivers available.

Package: linux-backports-modules-intrepid-lpia
Architecture: lpia
Depends: linux-backports-modules-${kernel-abi-version}-lpia
Description: Backported drivers for LPIA kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-backports-modules-intrepid-lpiacompat
Architecture: lpia
Depends: linux-backports-modules-${kernel-abi-version}-lpiacompat
Description: Backported drivers for LPIA (i386 compat) kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-lpia-source
Architecture: lpia
Section: devel
Priority: optional
Depends: linux-lpia-source-${kernel-version}
Description: Linux kernel source with Ubuntu patches
 This package will always depend on the latest Linux kernel source code
 available. The Ubuntu patches have been applied.

Package: linux-lpia-doc
Architecture: lpia
Section: doc
Priority: optional
Depends: linux-lpia-doc-${kernel-version}
Description: Linux kernel documentation
 This package will always depend on the latest Linux kernel documentation
 available.
