## linux-lpia-meta 2.6.28.2.2

=== debian/changelog ===
linux-lpia-meta (2.6.28.2.2) jaunty; urgency=low

  * Bump ABI to -2.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 04 Feb 2009 12:19:35 +0100

linux-lpia-meta (2.6.28.1.1) jaunty; urgency=low

  * New Jaunty release

 -- Steve Conklin <sconklin@canonical.com>  Thu, 29 Jan 2009 13:20:45 -0600
