=== debian/control ===
--- 
+++ 
@@ -96,23 +96,23 @@
  This package will always depend on the latest restricted modules available
  for LPIA (i386 compat).
 
-#Package: linux-backports-modules-intrepid
+#Package: linux-backports-modules-jaunty
 #Architecture: lpia
 #Section: metapackages
 #Priority: optional
-#Depends: linux-backports-modules-intrepid-${generic-depends} (= ${binary:Version})
+#Depends: linux-backports-modules-jaunty-${generic-depends} (= ${binary:Version})
 #Description: Generic Linux backported drivers.
 # This package will always depend on the latest generic Linux backported
 # drivers available.
 
-Package: linux-backports-modules-intrepid-lpia
+Package: linux-backports-modules-jaunty-lpia
 Architecture: lpia
 Depends: linux-backports-modules-${kernel-abi-version}-lpia
 Description: Backported drivers for LPIA kernel image
  This empty package allows people to keep their backported modules
  up-to-date when upgrading their Linux kernel.
 
-Package: linux-backports-modules-intrepid-lpiacompat
+Package: linux-backports-modules-jaunty-lpiacompat
 Architecture: lpia
 Depends: linux-backports-modules-${kernel-abi-version}-lpiacompat
 Description: Backported drivers for LPIA (i386 compat) kernel image
